Skip to main content
POST
/
daemon
/
e2e
/
sync
Push encrypted sync chunks
curl --request POST \
  --url https://apigcp.trynia.ai/v2/daemon/e2e/sync \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "local_folder_id": "<string>",
  "chunks": [
    {
      "chunk_id": "<string>",
      "ciphertext": "<string>",
      "iv": "<string>",
      "embedding": [
        123
      ],
      "connector_type": "<string>",
      "blind_index_tokens": [
        "<string>"
      ],
      "contact_hash": "<string>",
      "conversation_hash": "<string>",
      "day_bucket": "<string>"
    }
  ]
}
'
{
  "chunks_accepted": 123,
  "chunks_rejected": 123,
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Body

application/json

Push encrypted chunks for E2E sync.

local_folder_id
string
required

ID of the local folder source to sync to

chunks
E2ESyncChunk · object[]
required

Encrypted sync chunks with vectors and blind index tokens

Response

Successful Response

chunks_accepted
integer
required

Number of chunks successfully stored

chunks_rejected
integer
required

Number of chunks rejected (duplicates or errors)

cursor
string | null

Updated sync cursor